Debian Bug report logs - #667383
stopmotion: ftbfs with GCC-4.7

version graph

Package: stopmotion; Maintainer for stopmotion is Barak A. Pearlmutter <bap@debian.org>; Source for stopmotion is src:stopmotion.

Reported by: Matthias Klose <doko@debian.org>

Date: Tue, 3 Apr 2012 23:40:02 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version stopmotion/0.6.2+git.1.10d2ea43-1

Fixed in version stopmotion/0.6.2+git.1.10d2ea43-1.1

Done: Matthias Klose <doko@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>:
Bug#667383; Package stopmotion. (Tue, 03 Apr 2012 23:40:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
New Bug report received and forwarded. Copy sent to Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>. (Tue, 03 Apr 2012 23:40:05 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: maintonly@bugs.debian.org
Subject: stopmotion: ftbfs with GCC-4.7
Date: Tue, 03 Apr 2012 23:12:41 +0000
Package: stopmotion
Version: 0.6.2+git.1.10d2ea43-1
Severity: important
Tags: sid wheezy
User: debian-gcc@lists.debian.org
Usertags: ftbfs-gcc-4.7

The package fails to build in a test rebuild on at least amd64 with
gcc-4.7/g++-4.7, but succeeds to build with gcc-4.6/g++-4.6. The
severity of this report may be raised before the wheezy release.

src/presentation/frontends/qtfrontend/mainwindowgui.cpp:1145:21: error: 'R_OK' was not declared in this scope

The full build log can be found at:
http://people.debian.org/~lucas/logs/2012/03/29-clang-gcc47/unstable-gcc47/stopmotion_0.6.2+git.1.10d2ea43-1_unstable-gcc47.log
The last lines of the build log are at the end of this report.

Some hints on fixing these issues can be found at
http://gcc.gnu.org/gcc-4.7/porting_to.html

To build with GCC 4.7, either set CC=gcc-4.7 CXX=g++-4.7 explicitly,
or install the gcc, g++, gfortran, ... packages from experimental.

[...]

   debian/rules override_dh_auto_build
make[1]: Entering directory `/«BUILDDIR»/stopmotion-0.6.2+git.1.10d2ea43'
dh_auto_build -- LIBS='-lSDL -lxml2 -lSDL_image -ltar -lvorbisfile -linotifytools -lQtGui -lQtCore -lpthread  -lX11 -lm'
make[2]: Entering directory `/«BUILDDIR»/stopmotion-0.6.2+git.1.10d2ea43'
/usr/bin/uic-qt4 src/presentation/frontends/qtfrontend/helpbrowser.ui -o ui_helpbrowser.h
/usr/bin/uic-qt4 src/presentation/frontends/qtfrontend/toolsmenu.ui -o ui_toolsmenu.h
g++ -c -m64 -pipe -O2 -w -D_REENTRANT -DNO_DEBUG -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/share/qt4/mkspecs/linux-g++-64 -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I. -Isrc -Isrc/presentation/frontends/qtfrontend -Isrc/presentation/frontends/nonguifrontend -Isrc/foundation -Isrc/domain -Isrc/domain/animation -Isrc/presentation -I/usr/include/SDL -I-D_GNU_SOURCE=1 -I-D_REENTRANT -I/usr/include/libxml2 -I. -I. -o config.o src/config.cpp
g++ -c -m64 -pipe -O2 -w -D_REENTRANT -DNO_DEBUG -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/share/qt4/mkspecs/linux-g++-64 -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I. -Isrc -Isrc/presentation/frontends/qtfrontend -Isrc/presentation/frontends/nonguifrontend -Isrc/foundation -Isrc/domain -Isrc/domain/animation -Isrc/presentation -I/usr/include/SDL -I-D_GNU_SOURCE=1 -I-D_REENTRANT -I/usr/include/libxml2 -I. -I. -o main.o src/main.cpp
g++ -c -m64 -pipe -O2 -w -D_REENTRANT -DNO_DEBUG -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/share/qt4/mkspecs/linux-g++-64 -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I. -Isrc -Isrc/presentation/frontends/qtfrontend -Isrc/presentation/frontends/nonguifrontend -Isrc/foundation -Isrc/domain -Isrc/domain/animation -Isrc/presentation -I/usr/include/SDL -I-D_GNU_SOURCE=1 -I-D_REENTRANT -I/usr/include/libxml2 -I. -I. -o domainfacade.o src/domain/domainfacade.cpp
g++ -c -m64 -pipe -O2 -w -D_REENTRANT -DNO_DEBUG -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/share/qt4/mkspecs/linux-g++-64 -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I. -Isrc -Isrc/presentation/frontends/qtfrontend -Isrc/presentation/frontends/nonguifrontend -Isrc/foundation -Isrc/domain -Isrc/domain/animation -Isrc/presentation -I/usr/include/SDL -I-D_GNU_SOURCE=1 -I-D_REENTRANT -I/usr/include/libxml2 -I. -I. -o logger.o src/foundation/logger.cpp
g++ -c -m64 -pipe -O2 -w -D_REENTRANT -DNO_DEBUG -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/share/qt4/mkspecs/linux-g++-64 -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I. -Isrc -Isrc/presentation/frontends/qtfrontend -Isrc/presentation/frontends/nonguifrontend -Isrc/foundation -Isrc/domain -Isrc/domain/animation -Isrc/presentation -I/usr/include/SDL -I-D_GNU_SOURCE=1 -I-D_REENTRANT -I/usr/include/libxml2 -I. -I. -o animation.o src/domain/animation/animation.cpp
g++ -c -m64 -pipe -O2 -w -D_REENTRANT -DNO_DEBUG -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/share/qt4/mkspecs/linux-g++-64 -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I. -Isrc -Isrc/presentation/frontends/qtfrontend -Isrc/presentation/frontends/nonguifrontend -Isrc/foundation -Isrc/domain -Isrc/domain/animation -Isrc/presentation -I/usr/include/SDL -I-D_GNU_SOURCE=1 -I-D_REENTRANT -I/usr/include/libxml2 -I. -I. -o animationmodel.o src/domain/animation/animationmodel.cpp
g++ -c -m64 -pipe -O2 -w -D_REENTRANT -DNO_DEBUG -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/share/qt4/mkspecs/linux-g++-64 -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I. -Isrc -Isrc/presentation/frontends/qtfrontend -Isrc/presentation/frontends/nonguifrontend -Isrc/foundation -Isrc/domain -Isrc/domain/animation -Isrc/presentation -I/usr/include/SDL -I-D_GNU_SOURCE=1 -I-D_REENTRANT -I/usr/include/libxml2 -I. -I. -o frame.o src/domain/animation/frame.cpp
g++ -c -m64 -pipe -O2 -w -D_REENTRANT -DNO_DEBUG -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/share/qt4/mkspecs/linux-g++-64 -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I. -Isrc -Isrc/presentation/frontends/qtfrontend -Isrc/presentation/frontends/nonguifrontend -Isrc/foundation -Isrc/domain -Isrc/domain/animation -Isrc/presentation -I/usr/include/SDL -I-D_GNU_SOURCE=1 -I-D_REENTRANT -I/usr/include/libxml2 -I. -I. -o nonguifrontend.o src/presentation/frontends/nonguifrontend/nonguifrontend.cpp
g++ -c -m64 -pipe -O2 -w -D_REENTRANT -DNO_DEBUG -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/share/qt4/mkspecs/linux-g++-64 -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I. -Isrc -Isrc/presentation/frontends/qtfrontend -Isrc/presentation/frontends/nonguifrontend -Isrc/foundation -Isrc/domain -Isrc/domain/animation -Isrc/presentation -I/usr/include/SDL -I-D_GNU_SOURCE=1 -I-D_REENTRANT -I/usr/include/libxml2 -I. -I. -o mainwindowgui.o src/presentation/frontends/qtfrontend/mainwindowgui.cpp
src/presentation/frontends/qtfrontend/mainwindowgui.cpp: In member function 'void MainWindowGUI::updateMostRecentMenu()':
src/presentation/frontends/qtfrontend/mainwindowgui.cpp:1145:21: error: 'R_OK' was not declared in this scope
src/presentation/frontends/qtfrontend/mainwindowgui.cpp:1145:25: error: 'access' was not declared in this scope
src/presentation/frontends/qtfrontend/mainwindowgui.cpp:1157:22: error: 'R_OK' was not declared in this scope
src/presentation/frontends/qtfrontend/mainwindowgui.cpp:1157:26: error: 'access' was not declared in this scope
src/presentation/frontends/qtfrontend/mainwindowgui.cpp:1169:21: error: 'R_OK' was not declared in this scope
src/presentation/frontends/qtfrontend/mainwindowgui.cpp:1169:25: error: 'access' was not declared in this scope
make[2]: *** [mainwindowgui.o] Error 1
make[2]: Leaving directory `/«BUILDDIR»/stopmotion-0.6.2+git.1.10d2ea43'
dh_auto_build: make -j1 LIBS=-lSDL -lxml2 -lSDL_image -ltar -lvorbisfile -linotifytools -lQtGui -lQtCore -lpthread  -lX11 -lm returned exit code 2
make[1]: *** [override_dh_auto_build] Error 25
make[1]: Leaving directory `/«BUILDDIR»/stopmotion-0.6.2+git.1.10d2ea43'
make: *** [build-arch] Error 2
dpkg-buildpackage: error: debian/rules build-arch gave error exit status 2




Information forwarded to debian-bugs-dist@lists.debian.org, Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>:
Bug#667383; Package stopmotion. (Wed, 04 Apr 2012 21:06:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>. (Wed, 04 Apr 2012 21:06:13 GMT) Full text and rfc822 format available.

Message #10 received at 667383@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: 667383@bugs.debian.org
Subject: Re: Bug#667383: stopmotion: ftbfs with GCC-4.7
Date: Wed, 4 Apr 2012 23:04:15 +0200
[Message part 1 (text/plain, inline)]
tag 667383 patch
thanks

Matthias Klose <doko@debian.org> (03/04/2012):
> Package: stopmotion
> Version: 0.6.2+git.1.10d2ea43-1
> Severity: important
> Tags: sid wheezy
> User: debian-gcc@lists.debian.org
> Usertags: ftbfs-gcc-4.7

Here's a patch to fix this FTBFS. No intent to NMU here.

Mraw,
KiBi.
[stopmotion+nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Wed, 04 Apr 2012 21:06:15 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Mon, 07 May 2012 16:51:43 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>:
Bug#667383; Package stopmotion. (Sat, 26 May 2012 18:06:35 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>. (Sat, 26 May 2012 18:06:40 GMT) Full text and rfc822 format available.

Message #19 received at 667383@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Cyril Brulebois <kibi@debian.org>, bap@debian.org, bjoern.nilsen@bjoernen.com
Cc: 667383@bugs.debian.org
Subject: Re: Bug#667383: stopmotion: ftbfs with GCC-4.7
Date: Sat, 26 May 2012 19:50:17 +0200
[Message part 1 (text/plain, inline)]
Hi Barak, Bjoern

On Wed, Apr 04, 2012 at 11:04:15PM +0200, Cyril Brulebois wrote:
> tag 667383 patch
> thanks
> 
> Matthias Klose <doko@debian.org> (03/04/2012):
> > Package: stopmotion
> > Version: 0.6.2+git.1.10d2ea43-1
> > Severity: important
> > Tags: sid wheezy
> > User: debian-gcc@lists.debian.org
> > Usertags: ftbfs-gcc-4.7
> 
> Here's a patch to fix this FTBFS. No intent to NMU here.

There is a patch from Cyril Brulebois for #667383 fixing the FTBFS. I
would like to ask if you would do the upload, else I can do an NMU.

I have commited at least the patch from Cyril to the colab-maint git
repo for stopmotion, see [1].

 [1]: http://anonscm.debian.org/gitweb/?p=collab-maint/stopmotion.git;a=commitdiff;h=8f9b1532e4a5cca05be89dd30d9cd45cf321fd5b

Regards,
Salvatore
[signature.asc (application/pgp-signature, inline)]

Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. (Tue, 29 May 2012 09:16:41 GMT) Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@debian.org>:
Bug acknowledged by developer. (Tue, 29 May 2012 09:16:44 GMT) Full text and rfc822 format available.

Message #24 received at 667383-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 667383-close@bugs.debian.org
Subject: Bug#667383: fixed in stopmotion 0.6.2+git.1.10d2ea43-1.1
Date: Tue, 29 May 2012 09:16:07 +0000
Source: stopmotion
Source-Version: 0.6.2+git.1.10d2ea43-1.1

We believe that the bug you reported is fixed in the latest version of
stopmotion, which is due to be installed in the Debian FTP archive:

stopmotion_0.6.2+git.1.10d2ea43-1.1.debian.tar.gz
  to main/s/stopmotion/stopmotion_0.6.2+git.1.10d2ea43-1.1.debian.tar.gz
stopmotion_0.6.2+git.1.10d2ea43-1.1.dsc
  to main/s/stopmotion/stopmotion_0.6.2+git.1.10d2ea43-1.1.dsc
stopmotion_0.6.2+git.1.10d2ea43-1.1_amd64.deb
  to main/s/stopmotion/stopmotion_0.6.2+git.1.10d2ea43-1.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 667383@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated stopmotion package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 29 May 2012 16:31:58 +0800
Source: stopmotion
Binary: stopmotion
Architecture: source amd64
Version: 0.6.2+git.1.10d2ea43-1.1
Distribution: unstable
Urgency: low
Maintainer: Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>
Changed-By: Matthias Klose <doko@debian.org>
Description: 
 stopmotion - program for creating stop motion animations
Closes: 667383
Changes: 
 stopmotion (0.6.2+git.1.10d2ea43-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix FTBFS with gcc 4.7 by fixing missing <unistd.h> includes (Cyril
     Brulebois). Closes: #667383.
Checksums-Sha1: 
 90a54de6faadfd420c9999b2ff69322ee861a5d1 1516 stopmotion_0.6.2+git.1.10d2ea43-1.1.dsc
 b9bfeba2f8a1c4179799353c2824a40ca478a470 16966 stopmotion_0.6.2+git.1.10d2ea43-1.1.debian.tar.gz
 95c7a2ce42af8fad3a001468a1596c5c140d104f 2336516 stopmotion_0.6.2+git.1.10d2ea43-1.1_amd64.deb
Checksums-Sha256: 
 f543a52cfb57482c1ccd0d002192efe2135bfd927ff2464e89667fb2db86100d 1516 stopmotion_0.6.2+git.1.10d2ea43-1.1.dsc
 0afeade3a904d0926a43acc0104dc423635256b9f7ca52f12249f8810cbc7cc1 16966 stopmotion_0.6.2+git.1.10d2ea43-1.1.debian.tar.gz
 50358cf83821415cb6db39402f61415c438e5e34e69daeb1288ccb0838c3a85a 2336516 stopmotion_0.6.2+git.1.10d2ea43-1.1_amd64.deb
Files: 
 99d96c5446985d1e13a4d0c7221bb103 1516 x11 optional stopmotion_0.6.2+git.1.10d2ea43-1.1.dsc
 f376cd56ba8ef947f7a3c4dd72108311 16966 x11 optional stopmotion_0.6.2+git.1.10d2ea43-1.1.debian.tar.gz
 6a2abc996bc6f5fc00cdb44114a46f8a 2336516 x11 optional stopmotion_0.6.2+git.1.10d2ea43-1.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk/EjOwACgkQStlRaw+TLJw1EACfZq+Yi2SY2G2emUIvCWcc3ir9
8GIAn39BXt7xGdBW24Swso3wVkY+Lvzr
=MpTB
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 07 Jul 2012 07:45:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:45:11 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.